OpenNMS API 1.2.9

## org.opennms.web.element
Class Service

    java.lang.Object
      org.opennms.web.element.Service

public class Service
extends java.lang.Object

Field Summary
`(package private) int` `m_ifIndex`
`(package private) java.lang.String` `m_ipAddr`
`(package private) java.lang.String` `m_lastFail`
`(package private) java.lang.String` `m_lastGood`
`(package private) int` `m_nodeId`
`(package private) java.lang.String` `m_notify`
`(package private) int` `m_serviceId`
`(package private) java.lang.String` `m_serviceName`
`(package private) char` `m_status`

Constructor Summary
`Service()`
`Service(int nodeid, int ifindex, java.lang.String ipaddr, int serviceid, java.lang.String serviceName, java.lang.String lastGood, java.lang.String lastFail, java.lang.String notify, char status)`

Method Summary
`int` `getIfIndex()`
`java.lang.String` `getIpAddress()`
`java.lang.String` `getLastFail()`
`java.lang.String` `getLastGood()`
`int` `getNodeId()`
`java.lang.String` `getNotify()`
`int` `getServiceId()`
`java.lang.String` `getServiceName()`
`char` `getStatus()`
`boolean` `isManaged()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_nodeId

    int m_nodeId

### m_ifIndex

    int m_ifIndex

### m_ipAddr

    java.lang.String m_ipAddr

### m_serviceId

    int m_serviceId

### m_serviceName

    java.lang.String m_serviceName

### m_lastGood

    java.lang.String m_lastGood

### m_lastFail

    java.lang.String m_lastFail

### m_notify

    java.lang.String m_notify

### m_status

    char m_status

Constructor Detail

### Service

    public Service()

### Service

    public Service(int nodeid,
                   int ifindex,
                   java.lang.String ipaddr,
                   int serviceid,
                   java.lang.String serviceName,
                   java.lang.String lastGood,
                   java.lang.String lastFail,
                   java.lang.String notify,
                   char status)

Method Detail

### getNodeId

    public int getNodeId()

### getIfIndex

    public int getIfIndex()

### getIpAddress

    public java.lang.String getIpAddress()

### getServiceId

    public int getServiceId()

### getServiceName

    public java.lang.String getServiceName()

### getLastGood

    public java.lang.String getLastGood()

### getLastFail

    public java.lang.String getLastFail()

### getNotify

    public java.lang.String getNotify()

### getStatus

    public char getStatus()

### isManaged

    public boolean isManaged()

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.